Package com.smartgwt.client.util.tour

# Class Tutorial

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.Process
com.smartgwt.client.util.tour.Tour
com.smartgwt.client.util.tour.Tutorial

All Implemented Interfaces:
  `HasHandlers`, `HasFinishedHandlers`, `HasTraceElementHandlers`

public class Tutorial extends Tour
The Tutorial class is a specialized version of the Tour class with `Tour.mode` set to "tutorial".

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tutorial()`
  `Tutorial(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `TourMode`
  `getMode()`
  The tour mode allows step configuration to be simplified by using the context to apply appropriate defaults.
  `static Tutorial`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `Tutorial`
  `setMode(TourMode mode)`
  The tour mode allows step configuration to be simplified by using the context to apply appropriate defaults.

  ### Methods inherited from class com.smartgwt.client.util.tour.Tour

  `getAllowDropOnDescendants, getAutoReset, getCanCancel, getCancelSteps, getDropOutlineBorder, getFirstStepActionButtonTitle, getFirstStepCancelButtonTitle, getLastStepActionButtonTitle, getNotifyMessageSettings, getNotifyType, getOutlineBorder, getShowCancelButton, getShowInputValidationMessage, getShowProgress, getShowProgressPercent, getStepActionButtonTitle, getStepCancelButtonPrompt, getStepCancelButtonTitle, getSteps, getTour, getTourCompleteMakeChangesButtonTitle, getTourCompleteRunTourButtonTitle, getTourCompleteTitle, getTourCompleteTourIdTitle, getTourCompleteViewXMLButtonTitle, getTourStepWizardActionTypeTitle, getTourStepWizardAutoCompletePrompt, getTourStepWizardAutoCompleteTitle, getTourStepWizardBindOutputHint, getTourStepWizardBindOutputTitle, getTourStepWizardCaseSensitiveTitle, getTourStepWizardDoneButtonTitle, getTourStepWizardDropTargetHint, getTourStepWizardDropTargetNotifyText, getTourStepWizardDropTargetPrompt, getTourStepWizardDropTargetTitle, getTourStepWizardExpectedValueHint, getTourStepWizardExpectedValueTitle, getTourStepWizardInstructionsTitle, getTourStepWizardNextStepButtonTitle, getTourStepWizardNoStepsMessage, getTourStepWizardRecordStepHeaderPrompt, getTourStepWizardRecordStepTitle, getTourStepWizardTargeNotifyText, getTourStepWizardTargePrompt, getTourStepWizardTargetTitle, getTourStepWizardTitle, getTourWizardInteractiveTourTitle, getTourWizardNewScreenPickerTitle, getTourWizardRecordButtonTitle, getTourWizardReifyTourTitle, getTourWizardRequiredDataSourcesHint, getTourWizardRequiredDataSourcesTitle, getTourWizardShowProgressTitle, getTourWizardTitle, getTourWizardTourTypeTitle, getTourWizardUITourTitle, getWindowDefaults, loadTour, notifyValidationMessage, setAllowDropOnDescendants, setAutoReset, setCanCancel, setCancelSteps, setDropOutlineBorder, setFirstStepActionButtonTitle, setFirstStepCancelButtonTitle, setLastStepActionButtonTitle, setNotifyMessageSettings, setNotifyType, setOutlineBorder, setShowCancelButton, setShowInputValidationMessage, setShowProgress, setShowProgressPercent, setStepActionButtonTitle, setStepCancelButtonPrompt, setStepCancelButtonTitle, setSteps, setTourCompleteMakeChangesButtonTitle, setTourCompleteRunTourButtonTitle, setTourCompleteTitle, setTourCompleteTourIdTitle, setTourCompleteViewXMLButtonTitle, setTourStepWizardActionTypeTitle, setTourStepWizardAutoCompletePrompt, setTourStepWizardAutoCompleteTitle, setTourStepWizardBindOutputHint, setTourStepWizardBindOutputTitle, setTourStepWizardCaseSensitiveTitle, setTourStepWizardDoneButtonTitle, setTourStepWizardDropTargetHint, setTourStepWizardDropTargetNotifyText, setTourStepWizardDropTargetPrompt, setTourStepWizardDropTargetTitle, setTourStepWizardExpectedValueHint, setTourStepWizardExpectedValueTitle, setTourStepWizardInstructionsTitle, setTourStepWizardNextStepButtonTitle, setTourStepWizardNoStepsMessage, setTourStepWizardRecordStepHeaderPrompt, setTourStepWizardRecordStepTitle, setTourStepWizardTargeNotifyText, setTourStepWizardTargePrompt, setTourStepWizardTargetTitle, setTourStepWizardTitle, setTourWizardInteractiveTourTitle, setTourWizardNewScreenPickerTitle, setTourWizardRecordButtonTitle, setTourWizardReifyTourTitle, setTourWizardRequiredDataSourcesHint, setTourWizardRequiredDataSourcesTitle, setTourWizardShowProgressTitle, setTourWizardTitle, setTourWizardTourTypeTitle, setTourWizardUITourTitle, setWindowDefaults`

  ### Methods inherited from class com.smartgwt.client.util.workflow.Process

  `addFinishedHandler, addTraceElementHandler, afterTaskCommit, applyStateUpdates, applyStateUpdates, applyStateUpdates, beforeTaskCommit, fail, fail, fail, failed, getComponentReferences, getContainerId, getCurrentTask, getDataSources, getDefaultProcessConstructor, getDefaultTaskConstructor, getDefaultWaitDuration, getDefaultWaitFor, getEffectiveErrorTask, getElement, getElements, getErrorTask, getErrorTaskAsBoolean, getErrorTaskExclusive, getErrorTaskExclusivityViolation, getErrorTaskRef, getInputDS, getInputDSAsString, getInputFields, getJsObj, getLastTaskOutput, getLastTaskOutput, getMockMode, getOrCreateJsObj, getOutput, getOutputDS, getOutputDSAsString, getOutputFields, getProcess, getProcessDescription, getProcessElements, getProcessState, getRuleScope, getSequences, getStartElement, getState, getStateVariable, getStrictPaths, getSuspendInfo, getTasks, getTextSummary, getTextSummary, getTextSummary, getTraceContext, getWizard, isCreated, isSuspended, loadProcess, onInit, passThruTaskOutput, reset, reset, restoreFromState, restoreFromState, resume, resume, runTask, setAttribute, setConfig, setContainerId, setCurrentTask, setDataSources, setDefaultProcessConstructor, setDefaultTaskConstructor, setDefaultWaitDuration, setDefaultWaitFor, setElements, setErrorTask, setErrorTask, setErrorTaskExclusive, setErrorTaskRef, setInputDS, setInputDS, setInputFields, setJavaScriptObject, setMockMode, setNextElement, setNextElement, setOutput, setOutputDS, setOutputDS, setOutputFields, setRuleScope, setSequences, setStartElement, setStartElement, setState, setStateVariable, setStateVariable, setStrictPaths, setTaskOutput, setTasks, setTraceContext, setWizard, start, suspend`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getID, getRef, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfigOnly, setFactoryCreated, setID, setProperty, setProperty, setProperty, setProperty, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Constructor Details

  - ### Tutorial

    public Tutorial()

  - ### Tutorial

    public Tutorial(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static Tutorial getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `Tour`

  - ### setMode

    public Tutorial setMode(TourMode mode)
    The tour mode allows step configuration to be simplified by using the context to apply appropriate defaults.
    Overrides:
      `setMode` in class `Tour`
    Parameters:
      `mode` - New mode value. Default value is "tutorial"
    Returns:
      `Tutorial` instance, for chaining setter calls

  - ### getMode

    public TourMode getMode()
    The tour mode allows step configuration to be simplified by using the context to apply appropriate defaults.
    Overrides:
      `getMode` in class `Tour`
    Returns:
      Current mode value. Default value is "tutorial"